Skip to main content
POST
Assign wallet entity
You can assign up to 150 wallets to an organization. If the organization is already at this limit, this endpoint returns a 409 response with the error code wallet_entity_limit_exceeded.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

wallet_id
string
required

ID of the wallet.

Body

application/json

Request body for assigning an entity to a wallet.

id
string
required

A Privy entity ID.

Minimum string length: 1
Example:

"jorpjo4rfxj62nx1itt8y1zt"

type
enum<string>
required

The type of entity a wallet is attributed to.

Available options:
user,
organization
Example:

"user"

Response

200 - application/json

The wallet entity assignment.

The entity assignment for a wallet.

id
string
required

Unique wallet entity assignment identifier.

wallet_id
string
required

ID of the assigned wallet.

entity
WalletEntity · object
required

The entity a wallet is attributed to.

Example:
created_at
number
required

Unix timestamp when the assignment was created.

updated_at
number
required

Unix timestamp when the assignment was last updated.